## com.crystaldecisions.sdk.occa.report.lib
Class ReportSDKVector

    java.lang.Object
      java.util.AbstractCollection
          java.util.AbstractList
              java.util.ArrayList
                  com.crystaldecisions.sdk.occa.report.lib.ReportSDKVector

All Implemented Interfaces:
  java.lang.Cloneable, java.util.Collection, IClone, java.util.List, java.util.RandomAccess, java.io.Serializable

Direct Known Subclasses:
  ConnectionInfos, PropertyBags, Strings, Values

public class ReportSDKVector
extends java.util.ArrayList
implements IClone

This class defines a vector data structure with support for specific Report Application Server SDK functionality.

See Also:
  Serialized Form

Constructor Summary
`ReportSDKVector()` Constructs an empty vector.
`ReportSDKVector(ReportSDKVector src)` Constructs a new `ReportSDKVector` object with the same contents as the specified `ReportSDKVector` object.

Method Summary
`void` | `addElement(java.lang.Object obj)` Appends the specified object to the end of this collection.
`java.lang.Object` | `clone(boolean deepClone)` Returns the new object that has been cloned.
`void` | `copyTo(java.lang.Object dest, boolean deepCopy)` Copies the object.
`java.lang.Object` | `elementAt(int index)` Returns the element at the specified index.
`int` | `findIndexOf(java.lang.Object object)` Returns the index of the first occurrence of the specified `Object` in this collection.
`boolean` | `hasContent(java.lang.Object obj)` Returns `true` if this object contains the same elements as the passed in object.
`void` | `insertElementAt(java.lang.Object obj, int index)` Inserts the supplied `Object` at the specified index.
`void` | `removeAllElements()` Removes all elements from this collection.

Methods inherited from class java.util.ArrayList
`add, add, addAll, addAll, clear, clone, contains, ensureCapacity, get, indexOf, isEmpty, lastIndexOf, remove, set, size, toArray, toArray, trimToSize`

Methods inherited from class java.util.AbstractList
`equals, hashCode, iterator, listIterator, listIterator, subList`

Methods inherited from class java.util.AbstractCollection
`containsAll, remove, removeAll, retainAll, toString`

Methods inherited from class java.lang.Object
`getClass, notify, notifyAll, wait, wait, wait`

Methods inherited from interface java.util.List
`containsAll, equals, hashCode, iterator, listIterator, listIterator, remove, removeAll, retainAll, subList`

Constructor Detail

### ReportSDKVector

    public ReportSDKVector()

  Constructs an empty vector.

### ReportSDKVector

    public ReportSDKVector(ReportSDKVector src)

  Constructs a new `ReportSDKVector` object with the same contents as the specified `ReportSDKVector` object. This is equivalent to creating a new copy.

Parameters:
  `src` - The `ReportSDKVector` object to be copied.

Method Detail

### clone

    public java.lang.Object clone(boolean deepClone)

  Description copied from interface: `IClone`

  Returns the new object that has been cloned.

  Specified by:
    `clone` in interface `IClone`
  Parameters:
    `deepClone` - `true` to use deep clone, `false` to use shallow.
  Returns:
    The new object that has been cloned.

### copyTo

    public void copyTo(java.lang.Object dest,
                       boolean deepCopy)

  Description copied from interface: `IClone`

  Copies the object.

  Specified by:
    `copyTo` in interface `IClone`
  Parameters:
    `dest` - The destination object to copy to.
    `deepCopy` - `true` to use deep copy, `false` to use shallow.

### addElement

    public void addElement(java.lang.Object obj)

  Appends the specified object to the end of this collection.

  Parameters:
    `obj` - The `Object` to be added.
  Throws:
    `java.lang.ClassCastException` - This is thrown if the class of the specified element prevents it from being added to this collection. In other words, if there is a class mismatch.
    `java.lang.NullPointerException` - This is thrown if the specified element is `null` and this collection does not support `null` elements.

### elementAt

    public java.lang.Object elementAt(int index)

  Returns the element at the specified index.

  Parameters:
    `index` - The index of the element to be retrieved.
  Returns:
    The `Object` at the specified index.

### findIndexOf

    public int findIndexOf(java.lang.Object object)

  Returns the index of the first occurrence of the specified `Object` in this collection. Both the type and the content of the `Object`s must match exactly.

  Parameters:
    `object` - The `Object` to search for.
  Returns:
    An `int` that specifies the index of the first occurrence of the specified `Object` or -1 if it is not found.

### hasContent

    public boolean hasContent(java.lang.Object obj)

  Description copied from interface: `IClone`

  Returns `true` if this object contains the same elements as the passed in object.

  Specified by:
    `hasContent` in interface `IClone`
  Parameters:
    `obj` - The object to check for content.
  Returns:
    `true` if this object contains the same elements as the passed in object, otherwise `false`.

### insertElementAt

    public void insertElementAt(java.lang.Object obj,
                                int index)

  Inserts the supplied `Object` at the specified index. All elements at `index` or greater will be shifted upward by 1.

  Parameters:
    `obj` - The `Object` to be inserted.
    `index` - The index at which to insert the `Object`.
  Throws:
    `java.lang.ClassCastException` - This is thrown if the class of the specified element prevents it from being added to this collection. In other words, if there is a class mismatch.
    `java.lang.NullPointerException` - This is thrown if the specified element is `null` and this collection does not support `null` elements.

### removeAllElements

    public void removeAllElements()

  Removes all elements from this collection.